using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 导航：试卷
    /// </summary>
    [Description("导航：试卷")]
    public class T_SE_SAFE_SURVEY_LIST_PAPER : MesEntityBase
    {
        /// <summary>
        /// 试题ID
        /// </summary>
        [Description("调查ID")]
        [DataFieldForeignKey("Nav_Safe", "Nav_Papers")]
        public Guid SAFE_ID { get; set; }
        /// <summary>
        /// 导航: 试题
        /// </summary>
        [Description("导航: 调查表")]
        public T_SE_SAFE_SURVEY Nav_Safe { get; set; }
        /// <summary>
        /// 人员ID
        /// </summary>
        [Description("人员")]
        [DataFieldForeignKey("Nav_User")]
        [FormFieldEdit]
        public Guid? USER_ID { get; set; }
        /// <summary>
        /// 导航: 人员
        /// </summary>
        [Description("导航: 人员")]
        public T_FM_USER Nav_User { get; set; }
        /// <summary>
        /// 部门ID
        /// </summary>
        [Description("部门")]
        [DataFieldForeignKey("Nav_Department")]
        [FormFieldEdit]
        public Guid? DEPARTMENT_ID { get; set; }
        /// <summary>
        /// 导航: 部门
        /// </summary>
        [Description("导航: 部门")]
        public T_FM_DEPARTMENT Nav_Department { get; set; }
        /// <summary>
        /// 试题ID
        /// </summary>
        [Description("试题")]
        [DataFieldForeignKey("Nav_Test")]
        [FormFieldEdit]
        public Guid? TEST_ID { get; set; }
        /// <summary>
        /// 导航: 试题
        /// </summary>
        [Description("导航: 试题")]
        public T_SE_TEST Nav_Test { get; set; }
        /// <summary>
        /// 答案 与Nav_Test.ANSWER一致，为零则表示还未答题
        /// </summary>
        [Description("答案")]
        [FormFieldEdit]
        public int ANSWER { get; set; }
        /// <summary>
        /// 考试得分
        /// </summary>
        [Description("考试得分")]
        public int SCORE { get; set; }
    }
}
